Bug 1282931 - Samba - NT_STATUS_BUFFER_TOO_SMALL, ndr_pull_dcerpc_bind_nak()
Samba - NT_STATUS_BUFFER_TOO_SMALL, ndr_pull_dcerpc_bind_nak()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
23
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Guenther Deschner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-17 15:10 EST by Łukasz Trąbiński
Modified: 2015-11-23 15:54 EST (History)
8 users (show)

See Also:
Fixed In Version: samba-4.3.1-3.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 15:54:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 11327 None None None Never

  None (edit)
Description Łukasz Trąbiński 2015-11-17 15:10:06 EST
Description of problem:

On current version of samba after few hours work we got message like this:

 cli_rpc_pipe_open_schannel_with_creds: rpc_pipe_bind failed with error NT_STATUS_BUFFER_TOO_SMALL
ldb: unable to stat module /usr/lib/samba/ldb : No such file or directory
ldb: unable to stat module /usr/lib/samba/ldb : No such file or directory
[2015/11/15 07:43:11.736039,  0] ../source3/rpc_client/cli_pipe.c:3170(cli_rpc_pipe_open_schannel_with_creds)
  cli_rpc_pipe_open_schannel_with_creds: rpc_pipe_bind failed with error NT_STATUS_BUFFER_TOO_SMALL


and samba stop works correctly. Solution is a patch:
https://attachments.samba.org/attachment.cgi?id=11527



Version-Release number of selected component (if applicable):

samba-4.3.0-3.fc23.i686

How reproducible:


Steps to Reproduce:
1. 
2.
3.

Actual results:


Expected results:


Additional info:

https://bugzilla.samba.org/show_bug.cgi?id=11327
https://attachments.samba.org/attachment.cgi?id=11527
Comment 1 Fedora Update System 2015-11-18 07:20:37 EST
samba-4.3.1-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2497f26992
Comment 2 Fedora Update System 2015-11-19 10:26:46 EST
samba-4.3.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update samba'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2497f26992
Comment 3 Fedora Update System 2015-11-19 11:55:22 EST
samba-4.3.1-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update samba'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2497f26992
Comment 4 Fedora Update System 2015-11-23 15:53:56 EST
samba-4.3.1-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.